<?php

/**
 * @file
 * Wunderground admin settings.
 */

/**
 * Admin settings form.
 */
function wunderground_weather_admin_form() {

  // URL to get the api key.
  $wg_link = l(t('http://www.wunderground.com/weather/api'), 'http://www.wunderground.com/weather/api');

  $form = array();

  $form['wunderground_weather_api_key'] = array(
    '#type' => 'textfield',
    '#title' => t('Wunderground API key'),
    '#description' => filter_xss(t('Get your API key at !url', array('!url' => $wg_link))),
    '#default_value' => variable_get('wunderground_weather_api_key', ''),
    '#required' => TRUE,
  );

  $form['wunderground_weather_language'] = array(
    '#type' => 'select',
    '#title' => t('Language'),
    '#options' => _wunderground_weather_languages(),
    '#default_value' => variable_get('wunderground_weather_language', 'EN'),
  );
  
  $form['wunderground_weather_scale'] = array(
    '#type' => 'select',
    '#title' => t('Unit of measurement'),
    '#options' => array('fahrenheit' => 'Fahrenheit', 'celsius' => 'Celsius'),
    '#default_value' => variable_get('wunderground_weather_scale', 'celsius'),
  );

  $form['wunderground_weather_cache'] = array(
    '#title' => t('Cache weather data'),
    '#description' => t('Caching will reduce the number of call to Wunderground and is a lot faster. If you choose not to cache, you will have the most up to date data in your blocks.'),
    '#type' => 'checkbox',
    '#default_value' => variable_get('wunderground_weather_cache', 1),
  );

  $form['wundergroud_weather_block_current_amount'] = array(
    '#title' => t('How many current weather condition blocks would you like?'),
    '#type' => 'textfield',
    '#default_value' => variable_get('wundergroud_weather_block_current_amount', '1'),
    '#size' => 3,
    '#element_validate' => array('element_validate_number'),
  );

  $form['wundergroud_weather_block_forecast_amount'] = array(
    '#title' => t('How many weather forecast blocks would you like?'),
    '#type' => 'textfield',
    '#default_value' => variable_get('wundergroud_weather_block_forecast_amount', '1'),
    '#size' => 3,
    '#element_validate' => array('element_validate_number'),
  );

  return system_settings_form($form);
}
